package cn.com.tenlion.configcontent.pojo.dtos.contentantistop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 *
 * @ClassName: NewsAntistopDTO
 * @Description: 新闻评论敏感词库
 * @Author: WenG
 * @Date: 2020-05-08 23:30
 * @Version: 1.0
 **/
@ApiModel
public class ContentAntistopDTO implements Serializable {

    private static final long serialVersionUID = -625125395265208906L;
    @ApiModelProperty(name = "contentAntistopId", value = "主键")
    private String contentAntistopId;
    @ApiModelProperty(name = "contentAntistopName", value = "敏感词")
    private String contentAntistopName;
    @ApiModelProperty(name = "contentAntistopPinyin", value = "敏感词拼音")
    private String contentAntistopPinyin;
    @ApiModelProperty(name = "contentAntistopType", value = "敏感级别")
    private String contentAntistopType;
    @ApiModelProperty(name = "contentAntistopTypeDictionaryName", value = "敏感级别字典名称")
    private String contentAntistopTypeDictionaryName;
    @ApiModelProperty(name = "contentAntistopRemark", value = "备注信息")
    private String contentAntistopRemark;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getContentAntistopId() {
        return contentAntistopId == null ? "" : contentAntistopId;
    }

    public void setContentAntistopId(String contentAntistopId) {
        this.contentAntistopId = contentAntistopId;
    }

    public String getContentAntistopName() {
        return contentAntistopName == null ? "" : contentAntistopName;
    }

    public void setContentAntistopName(String contentAntistopName) {
        this.contentAntistopName = contentAntistopName;
    }

    public String getContentAntistopPinyin() {
        return contentAntistopPinyin == null ? "" : contentAntistopPinyin;
    }

    public void setContentAntistopPinyin(String contentAntistopPinyin) {
        this.contentAntistopPinyin = contentAntistopPinyin;
    }

    public String getContentAntistopType() {
        return contentAntistopType == null ? "" : contentAntistopType;
    }

    public void setContentAntistopType(String contentAntistopType) {
        this.contentAntistopType = contentAntistopType;
    }

    public String getContentAntistopTypeDictionaryName() {
        return contentAntistopTypeDictionaryName == null ? "" : contentAntistopTypeDictionaryName;
    }

    public void setContentAntistopTypeDictionaryName(String contentAntistopTypeDictionaryName) {
        this.contentAntistopTypeDictionaryName = contentAntistopTypeDictionaryName;
    }

    public String getContentAntistopRemark() {
        return contentAntistopRemark == null ? "" : contentAntistopRemark;
    }

    public void setContentAntistopRemark(String contentAntistopRemark) {
        this.contentAntistopRemark = contentAntistopRemark;
    }
}
